﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Eddie {
	/// <summary>
	/// Interaktionslogik für OptionsDialog.xaml
	/// </summary>
	public partial class OptionsDialog : Window {

		public bool WordWrap {
			get {return (bool) chkWordWrap.IsChecked;}
			set {chkWordWrap.IsChecked = value;}
		}

		public bool VertSB {
			get {return (bool)chkVertSB.IsChecked;}
			set {chkVertSB.IsChecked = value;}
		}

		public int Zoom {
			get {
				return (int) slider1.Value;
			} set {
				if (value >= 0  &&  value <= 500)
					slider1.Value = value;
			}
		}

		public OptionsDialog() {
			InitializeComponent();
		}

		private void btnOK_Click(object sender, RoutedEventArgs e) {
			DialogResult = true;
			Close();
		}

		//private void btnCancel_Click(object sender, RoutedEventArgs e) {
		//    DialogResult = false;
		//    Close();
		//}
	}
}
