﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BruchKürzenGui {
	/// <summary>
	/// Interaktionslogik für MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		public MainWindow() {
			InitializeComponent();
		}

		Bruch bruchEngine = new Bruch();

		private void button1_Click(object sender, RoutedEventArgs e) {
			try {
				bruchEngine.Zaehler = Convert.ToInt32(textBox1.Text);
				bruchEngine.Nenner = Convert.ToInt32(textBox2.Text);
				bruchEngine.Kuerze();
				textBox1.Text = bruchEngine.Zaehler.ToString();
				textBox2.Text = bruchEngine.Nenner.ToString();
			}
			catch (Exception ex) {
				MessageBox.Show("Eingabefehler", "Fehler", MessageBoxButton.OK,
								MessageBoxImage.Error);
			}
		}

		private void button2_Click(object sender, RoutedEventArgs e) {
			this.Close();
		}

		private void Window_Loaded(object sender, RoutedEventArgs e) {
			Keyboard.Focus(textBox1);
		}
	}
}
