using System;
using System.Threading;

class ReaderWriterLockDemo {
	static Thread rt;
	static double dwert = 13.0;
	static ReaderWriterLock rwl = new ReaderWriterLock();

	static void WM() {
		Console.WriteLine("*** Der Schreib-Thread startet.");
		for (int i = 1; i <= 3; i++) {
			rwl.AcquireWriterLock(1000);
				dwert++;
			Console.WriteLine("*** Schreibzugriff " + i + ". Neuer Wert: " + dwert);
			rwl.ReleaseWriterLock();
			Thread.Sleep(1000);
		}
		Console.WriteLine("*** Der Schreib-Thread endet.");
	}

	static void RM() {
		Console.WriteLine(Thread.CurrentThread.Name + " startet.");
		for (int i = 1; i <= 3; i++) {
			rwl.AcquireReaderLock(1000);
				Console.WriteLine(Thread.CurrentThread.Name + " ermittelt Wert " + dwert);
			rwl.ReleaseReaderLock();
			Thread.Sleep(1000);
		}
		Console.WriteLine(Thread.CurrentThread.Name + " endet.");
	}

	static void Main() {
		new Thread(WM).Start();
		for (int i = 0; i < 3; i++) {
			rt = new Thread(RM);
			rt.Name = "RT" + Convert.ToString(i);
			rt.Start();
		}
		Console.ReadLine();
	}
}
