﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SimpleBrowser {
	/// <summary>
	/// Interaktionslogik für MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		public MainWindow() {
			InitializeComponent();
		}

		private void button3_Click(object sender, RoutedEventArgs e) {
			String s = textBox1.Text;
			if (!s.StartsWith("http://"))
				s = "http://" + s;
			try {
				webBrowser1.Navigate(new Uri(s));
			} catch (Exception ex) {
				MessageBox.Show(ex.ToString(), "Fehler");
			}

		}

		private void button1_Click(object sender, RoutedEventArgs e) {
			if (webBrowser1.CanGoBack)
				webBrowser1.GoBack();
		}

		private void button2_Click(object sender, RoutedEventArgs e) {
			if (webBrowser1.CanGoForward)
				webBrowser1.GoForward();
		}

		private void Window_Loaded(object sender, RoutedEventArgs e) {
			Keyboard.Focus(textBox1);
		}
	}
}
