﻿using System;
using System.Windows.Controls;

namespace DatenbindungObjekt {
	public class AgeRangeRule : ValidationRule {
		public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo) {
			int number;
			if (!int.TryParse((String)value, out number)) {
				return new ValidationResult(false,"Keine Zahl!");
			}
			if (number < 0 || number > 130)
				return new ValidationResult(false, "Zahl < 0 oder > 130");
			return ValidationResult.ValidResult;
		}
	}
}
