﻿using System;
using System.Windows;
using System.Windows.Controls;

class MyEventArgs : EventArgs {
	public int Pos;
}

delegate void MyDelegate(object sender, MyEventArgs e);

class EventProd : System.Windows.Controls.Button {
	internal event MyDelegate Seven;
	Random zzg = new Random();
	protected override void OnClick() {
		base.OnClick();
		for (int i = 1; i <= 10; i++) {
			if (zzg.Next(10) == 7 && Seven != null) {
				MyEventArgs mea = new MyEventArgs();
				mea.Pos = i;
				Seven(this, mea);
				break;
			}
		}
	}
}


class EventConsumer : Window {
	EventConsumer() {
		Height = 75; Width = 284;
		Title = "Schalter sendet Ereignisse";
		StackPanel lm = new StackPanel();
		lm.VerticalAlignment = VerticalAlignment.Center;
		Content = lm;
		EventProd ep = new EventProd();
		ep.Content = "Teste Dein Glück!";
		ep.Width = 200;
		lm.Children.Add(ep);
		ep.Seven += new MyDelegate(this.EventProdOnSeven);
	}

	void EventProdOnSeven(object sender, MyEventArgs e) {
		MessageBox.Show("7 an Position " + e.Pos + " gezogen",
		  "Ereignis-Verarbeitung");
	}

	[System.STAThreadAttribute]
	static void Main() {
		new Application().Run(new EventConsumer());
	}
}