using System;
using System.Data.SqlClient;

class DataReaderDemo {
	static void Main() {
		SqlConnection dbConnection = new SqlConnection();
		dbConnection.ConnectionString =
			@"Data Source=.\SQLEXPRESS;AttachDbFilename=E:\Data\NORTHWND.MDF;" +
			@"Integrated Security=True;User Instance=True";

		// SQL-Kommando erstellen:
		SqlCommand command = new SqlCommand("SELECT CompanyName FROM Customers", dbConnection);

		SqlDataReader reader = null;

		try {
			// Verbindung zur Datenbank ffnen:
			dbConnection.Open();

			// Zu SqlDataReader ex. kein ffentl. Konstruktor.
			// Die Methode SqlCommand.ExecuteReader() liefert das Objekt:
			reader = command.ExecuteReader(System.Data.CommandBehavior.CloseConnection);
			while (reader.Read()) {
				Console.WriteLine(reader["CompanyName"]);
			}
			//Console.WriteLine("Verbindung: " + dbConnection.State);
		} finally {
			// Beim Schlieen des Readers wird die Verbindung automatisch ebenfalls geschlossen.
			reader.Close();
		}
		Console.ReadLine();
	}
}