﻿using System;
using System.Configuration;

namespace Eddie {
	class Settings : ApplicationSettingsBase {

		[UserScopedSettingAttribute()]
		[DefaultSettingValueAttribute("True")]
		public bool WordWrap {
			get {
				return ((bool)(this["WordWrap"]));
			}
			set {
				this["WordWrap"] = value;
			}
		}

		[UserScopedSettingAttribute()]
		[DefaultSettingValueAttribute("False")]
		public bool VertSB {
			get {
				return ((bool)(this["VertSB"]));
			}
			set {
				this["VertSB"] = value;
			}
		}

		[UserScopedSettingAttribute()]
		[DefaultSettingValueAttribute("100")]
		public int ZoomFactor {
			get {
				return ((int)(this["ZoomFactor"]));
			}
			set {
				this["ZoomFactor"] = value;
			}
		}

		[ApplicationScopedSettingAttribute()]
		[DefaultSettingValueAttribute("Eddie")]
		public String AppName {
			get {
				return ((String)(this["AppName"]));
			}
		}

	}
}
