using System;
public class EinfachStapel<T> {
	int maxHoehe = 5;
	T[] daten;
	int aktHoehe;

	public EinfachStapel() {
		daten = new T[maxHoehe];
	}
	public EinfachStapel(int max) {
		if (max > 0) {
			maxHoehe = max;
			daten = new T[maxHoehe];
		} else
			throw new InvalidOperationException("Aktualparameterwert max unzulssig");
	}

	public bool Auflegen(T element) {
		if (aktHoehe < maxHoehe) {
			daten[aktHoehe++] = element;
			return true;
		} else
			return false;
	}

	public void AuflegenEx(T element) {
		if (aktHoehe < maxHoehe) {
			daten[aktHoehe++] = element;
		} else
			throw new InvalidOperationException("Maximale Stapelhhe erreicht");
	}

	public bool Abheben(out T element) {
		if (aktHoehe > 0) {
			element = daten[--aktHoehe];
			return true;
		} else {
			element = default(T);
			return false;
		}
	}

	public T AbhebenEx() {
		if (aktHoehe > 0)
			return daten[--aktHoehe];
		else
			throw new InvalidOperationException("Kein Element vorhanden");
	}
}
