using System;
public class Figur : IComparable<Figur> {
	String name = "unbenannt";
	double xpos, ypos;

	public Figur(String n, double x, double y) {
		name = n;
		if (x >= 0.0 && y >= 0.0) {
			xpos = x;
			ypos = y;
		}
	}

	public Figur() {}

	public String Name {
		get { return name; }
	}

	public int CompareTo(Figur vergl) {
		if (xpos < vergl.xpos)
			return -1;
		else
			if (xpos > vergl.xpos)
				return 1;
		return 0;
	}
}
