using System;
using System.Threading;
using System.Threading.Tasks;
using System.Collections.Generic;

class ParallelFor {
	static int anz = 100;
	static HashSet<int> tids = new HashSet<int>();

	static void RandomSum(int i) {
		Random zzg = new Random(i);
		double erg = 0.0;
		for (int j = 0; j < 1000000; j++)
			erg += zzg.NextDouble();
		Console.WriteLine("RandomSum " + erg + " mit Startwert " + i + " berechnet von Thread " +
							Thread.CurrentThread.ManagedThreadId);

		lock (tids) { tids.Add(Thread.CurrentThread.ManagedThreadId); }
	}

	static void Main() {
		ParallelLoopResult plr = Parallel.For(1, anz, RandomSum);
		Console.WriteLine("\nSchleife mit "+anz+" Umlufen vollstndig abgearbeitet: "+plr.IsCompleted+
			              "\nAnzahl eingesetzter Threads: " + tids.Count);

		Console.ReadLine();
	}
}