using System;
using System.Threading;
using System.Threading.Tasks;

class ParallelInvoke {
	static int anz = 16;

	static void RandomSum() {
		Random zzg = new Random();
		double erg = 0.0;
		for (int j = 0; j < 10000000; j++)
			erg += zzg.NextDouble();
		Console.WriteLine("RandomSum " + erg + " berechnet von Thread " + Thread.CurrentThread.ManagedThreadId);
	}

	static void Main() {
		Action[] av = new Action[anz];
		for (int i = 0; i < anz; i++)
			av[i] = new Action(RandomSum);
		long start = DateTime.Now.Ticks;
		Parallel.Invoke(av);
		Console.WriteLine("Nach dem Invoke-Aufruf. Bentigte Zeit in Sek.: " + (DateTime.Now.Ticks - start) / 1.0e7);

		Console.ReadLine();
	}
}