﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Net;

namespace DNS {
	/// <summary>
	/// Interaktionslogik für MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window {
		public MainWindow() {
			InitializeComponent();
		}

		private void cbToNumber_Click(object sender, RoutedEventArgs e) {
			if (tbName.Text.Length == 0)
				return;
			try {
				IPHostEntry host = Dns.GetHostEntry(tbName.Text);
				tbNumber.Text = host.AddressList[0].ToString();
			} catch (Exception ex) {
				MessageBox.Show(ex.ToString(), "Fehler");
			}

		}

		private void cbToName_Click(object sender, RoutedEventArgs e) {
			if (tbNumber.Text.Length == 0)
				return;
			try {
				IPHostEntry host = Dns.GetHostEntry(tbNumber.Text);
				tbName.Text = host.HostName;
			} catch (Exception ex) {
				MessageBox.Show(ex.ToString(), "Fehler");
			}

		}

	}
}
